#delimit;

/* This do-file will replicate the results in "Random Events, Economic Losses, and Voting Behavior" */

use healy_malhotra_tornado, clear;


/* Create Table 1A */
reg chg if largest50==1;
reg nat_chg if largest50==1 & chg~=.;
gen difference=chg-nat_chg;
reg difference if largest50==1;
drop difference;

reg chg if largest500==1;
reg nat_chg if largest500==1 & chg~=.;
gen difference=chg-nat_chg;
reg difference if largest500==1;
drop difference;


/* Create Table 1B */
areg two_party_share year_* extreme prev_share stwide_share if two_party_share>0 & two_party_share<100, absorb(fips) cluster(cvar);   
areg two_party_share year_* extreme prev_share PcntBlack-AdjIncome stwide_share if two_party_share>0 & two_party_share<100, absorb(fips) cluster(cvar);

/* Create Table 2A */
reg chg if five_deaths==1;
reg nat_chg if five_deaths==1 & chg~=.;
gen difference=chg-nat_chg;
reg difference if five_deaths==1;
drop difference;

reg chg if one_death==1;
reg nat_chg if one_death==1 & chg~=.;
gen difference=chg-nat_chg;
reg difference if one_death==1;


/* Create Table 2B */
areg two_party_share year_* extreme intensity1 prev_share stwide_share if two_party_share>0 & two_party_share<100, absorb(fips) cluster(cvar);  
areg two_party_share year_* extreme intensity2 prev_share stwide_share if two_party_share>0 & two_party_share<100, absorb(fips) cluster(cvar);   
areg two_party_share year_* extreme intensity1 prev_share PcntBlack-AdjIncome stwide_share if two_party_share>0 & two_party_share<100, absorb(fips) cluster(cvar);
areg two_party_share year_* extreme intensity2 prev_share PcntBlack-AdjIncome stwide_share if two_party_share>0 & two_party_share<100, absorb(fips) cluster(cvar);



/* Create Table 3 */
use healy_malhotra_tornado_adjacent, clear;
areg two_party_share year_* extreme prev_share stwide_share if two_party_share>0 & two_party_share<100, absorb(fips) cluster(cvar);   
areg two_party_share year_* extreme intensity1 prev_share stwide_share if two_party_share>0 & two_party_share<100, absorb(fips) cluster(cvar);
areg two_party_share year_* extreme intensity2 prev_share stwide_share if two_party_share>0 & two_party_share<100, absorb(fips) cluster(cvar);
areg two_party_share year_* extreme prev_share PcntBlack-AdjIncome stwide_share if two_party_share>0 & two_party_share<100, absorb(fips) cluster(cvar);
areg two_party_share year_* extreme intensity1 prev_share PcntBlack-AdjIncome stwide_share if two_party_share>0 & two_party_share<100, absorb(fips) cluster(cvar);
areg two_party_share year_* extreme intensity2 prev_share PcntBlack-AdjIncome stwide_share if two_party_share>0 & two_party_share<100, absorb(fips) cluster(cvar);
areg two_party_share year_* extreme intensity1 own_extreme own_intensity1 prev_share PcntBlack-AdjIncome stwide_share if two_party_share>0 & two_party_share<100, absorb(fips) cluster(cvar);
areg two_party_share year_* extreme intensity2 own_extreme own_intensity2 prev_share PcntBlack-AdjIncome stwide_share if two_party_share>0 & two_party_share<100, absorb(fips) cluster(cvar);


/* Create Table 4 */
use healy_malhotra_tornado_declaration, clear;
areg two_party_share year_* extreme intensity1 prev_share stwide_share if two_party_share>0 & two_party_share<100 & declaration==1, absorb(fips) cluster(cvar);  
areg two_party_share year_* extreme intensity1 prev_share PcntBlack-AdjIncome stwide_share if two_party_share>0 & two_party_share<100 & declaration==1, absorb(fips) cluster(cvar);  
areg two_party_share year_* extreme intensity1 prev_share stwide_share if two_party_share>0 & two_party_share<100 & declaration==0, absorb(fips) cluster(cvar);  
areg two_party_share year_* extreme intensity1 prev_share PcntBlack-AdjIncome stwide_share if two_party_share>0 & two_party_share<100 & declaration==0, absorb(fips) cluster(cvar);  


/* Create Table 5 */
use healy_malhotra_tornado, clear;
gen clinton_dummy=0;
replace clinton_dummy=1 if year==1996 | year==2000;
gen it=extreme*clinton_dummy;

areg two_party_share year_* extreme clinton_dummy it prev_share stwide_share if two_party_share>0 & two_party_share<100, absorb(fips) cluster(cvar);   
areg two_party_share year_* extreme intensity1 clinton_dummy it prev_share stwide_share if two_party_share>0 & two_party_share<100, absorb(fips) cluster(cvar);  
areg two_party_share year_* extreme intensity2 clinton_dummy it prev_share stwide_share if two_party_share>0 & two_party_share<100, absorb(fips) cluster(cvar);   
areg two_party_share year_* extreme clinton_dummy it prev_share PcntBlack-AdjIncome stwide_share if two_party_share>0 & two_party_share<100, absorb(fips) cluster(cvar);   
areg two_party_share year_* extreme intensity1 clinton_dummy it prev_share PcntBlack-AdjIncome stwide_share if two_party_share>0 & two_party_share<100, absorb(fips) cluster(cvar);  
areg two_party_share year_* extreme intensity2 clinton_dummy it prev_share PcntBlack-AdjIncome stwide_share if two_party_share>0 & two_party_share<100, absorb(fips) cluster(cvar);   
